unit WebControl1;
// To create a more advanced Web Control that supports live data at
// design time, see instructions in the readme file located in the
// 'BDS\4.0\Source\DotNet\dbwebcontrols' directory

interface

uses
  System.Web.UI, System.Web.UI.WebControls,
  System.ComponentModel;

type
  BtnConfirma =   class(System.Web.UI.WebControls.Button)
  strict protected
    procedure AddAttributesToRender(writer: HtmlTextWriter); override;
  public
    function getConf: String;
    procedure setConf(const Value: String);
    constructor Create;
  published
    [Bindable(true),
     Category('Behavior'),
     Description(''),
     DefaultValue('')]
    property MSGConfirmacao :String read getConf write setConf;
  end;

implementation

procedure BtnConfirma.AddAttributesToRender(writer: HtmlTextWriter);
begin
  if Self.MSGConfirmacao <> '' then
  begin
    writer.AddAttribute(HtmlTextWriterAttribute.Onclick,
    'if(!confirm("'+Self.MSGConfirmacao+ '")) return false;'
    );
  end;

  inherited;

end;

constructor BtnConfirma.Create;
begin
  inherited;
end;


function BtnConfirma.getConf: String;
begin
    if (&object(ViewState['MSGConfirmacao'])= nil) then
    result := '';
    result:= &String(ViewState['MSGConfirmacao']);
end;


procedure BtnConfirma.setConf(const Value: String);
begin
   ViewState['MSGConfirmacao']:=Value;
end;

{$REGION 'Render override'}
(*
/// <summary>
/// Render this control to the output parameter specified.
/// </summary>
/// <param name="output"> The HTML writer to write out to </param>
procedure BtnConfirma.Render(Output: HtmlTextWriter);
begin
  Output.Write(Text);
end;
(* *)
{$ENDREGION}

end.


